/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
#ifndef V_SEEN 
#define V_SEEN 1
/* $Header:vector.h 12.0$ */
/* $ACIS:vector.h 12.0$ */
/* $Source: /ibm/acis/usr/src/ibm/lib/pmp/RCS/vector.h,v $ */

#if !defined(lint) && !defined(LOCORE)  && defined(RCS_HDRS)
static char *rcsidvector = "$Header:vector.h 12.0$";
#endif
#define PRIVATE typedef char *

	/*\
	|* lotsa stuff
	\*/

PRIVATE	*vectors;

extern int	v_debug;
extern int	v_p_debug;
extern int	v_f_debug;

#define V_MIN_WIDTH	0
#define V_MAX_WIDTH	31

#define V_ROUND_ENDS	0x01
#define V_SQUARE_ENDS	0x02

#define V_HEAD_TO_TAIL	0x10
#define V_TAIL_TO_TAIL	0x20

extern	vectors	*v_new();
extern  int	 v_free();
extern	int	 v_flush();
extern	int	 v_move();
extern	int	 v_draw();

extern	int	 v_nofill();
extern	int	 v_fill();
extern	int	 v_set_dflt_fill();
extern	int	 v_no_dflt_fill();
extern	int	 v_dflt_fill();
extern	int	 v_set_width();
extern	int	 v_set_dflt_width();
extern	int	 v_dflt_width();
extern	int	 v_set_ends();
extern	int	 v_set_dflt_ends();
extern	int	 v_dflt_ends();
extern	int	 v_absolute();
extern	int	 v_relative();
extern	int	 v_h_absolute();
extern	int	 v_v_absolute();
extern	int	 v_h_relative();
extern	int	 v_v_relative();
extern	int	 vpv_flush();

#endif /* V_SEEN */
